package com.ruoyi.ie.service.impl;

import com.ruoyi.ie.domain.KnowledgeTree;
import com.ruoyi.ie.mapper.KnowledgeTreeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 章节知识点Service接口
 *
 * @author mingxue
 * @date 2021-09-23
 */
@Service
public class KnowledgeTreeService
{
    @Autowired
    private KnowledgeTreeMapper knowledgeTreeMapper;

    public KnowledgeTree selectKnowledgeTreeById(Long id){
        return knowledgeTreeMapper.selectKnowledgeTreeById(id);
    }

    public List<KnowledgeTree> selectKnowledgeTreeList(KnowledgeTree query){
        return knowledgeTreeMapper.selectKnowledgeTreeList(query);
    }

}
